variables:
  GIT_SUBMODULE_STRATEGY: recursive
  DOCKER_DRIVER: overlay2

image: docker:stable
stages:
  - prerequisites
  - build
  - deploy

services:
  - docker:dind

build-dep-c8:
  stage: prerequisites
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --tag $CI_REGISTRY_IMAGE/dep/c8:latest -f Dockerfile.dep.c8 .
    - docker push $CI_REGISTRY_IMAGE/dep/c8:latest
  when: manual
  allow_failure: true

build-dep-fc33:
  stage: prerequisites
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --tag $CI_REGISTRY_IMAGE/dep/fc33:latest -f Dockerfile.dep.fc33 .
    - docker push $CI_REGISTRY_IMAGE/dep/fc33:latest
  when: manual
  allow_failure: true

build-c8:
  image: $CI_REGISTRY_IMAGE/dep/c8
  stage: build
  script: scripts/make.sh release
  when: manual

build-fc33:
  image: $CI_REGISTRY_IMAGE/dep/fc33
  stage: build
  script: scripts/make.sh release
  when: manual

# build-rpm-copr:
#   stage: deploy
#   image:
#     name: $CI_REGISTRY_IMAGE/dep/c7
#   script:
#     - mkdir ~/.config
#     - cp images/copr ~/.config/copr
#     - sed -i 's/^login.*/login = '$COPR_LOGIN'/' ~/.config/copr
#     - sed -i 's/^token.*/token = '$COPR_TOKEN'/' ~/.config/copr
#     - cat ~/.config/copr
#     - export MY_PROJECT_VER=${CI_COMMIT_REF_NAME/v/}
#     - scripts/make.sh rpm
#     - copr-cli build obl/stable /builds/ndmspc/ndhep/build/SRPMS/*.src.rpm --nowait
#   only:
#     - tags

# build-docker-image:
#   stage: deploy
#   script:
#     - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
#     - docker pull $CI_REGISTRY_IMAGE:latest || true
#     - docker build --cache-from $CI_REGISTRY_IMAGE:latest --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME --tag $CI_REGISTRY_IMAGE:latest .
#     - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
#     # - if [ "$CI_COMMIT_REF_NAME" == "master" ]; then docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA; fi
#     - if [ "$CI_COMMIT_REF_NAME" != "master" ]; then docker push $CI_REGISTRY_IMAGE:latest; fi
#   allow_failure: true
#   only:
#     # - master
#     - tags

# pages:
#   image: $CI_REGISTRY_IMAGE/dep/fc33
#   stage: deploy
#   script:
#     - scripts/make.sh release install
#     - mv share/doc/ndhep/html public/
#   artifacts:
#     paths:
#       - public
#   only:
#     - master
